org.eclnt.workplace

## Class WorkpageDefaultLifecycleListener

- java.lang.Object
- - org.eclnt.workplace.WorkpageDefaultLifecycleListener

- All Implemented Interfaces:
    java.io.Serializable, IWorkpageLifecycleListener

      public class WorkpageDefaultLifecycleListener
      extends java.lang.Object
      implements IWorkpageLifecycleListener, java.io.Serializable

  Default implementation of IWorkpageLifeCylcleListener. Use this class to derive you lifecycle listeners from - this class will be updated if the interface `IWorkpageLifecycleListener` gets enhanced.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkpageDefaultLifecycleListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `close()` When overriding: please check the continue-operation that is available via `getCloseContinueOperation()` in case of interrupting the close process.
    `void` | `closeForced()` This method forces the workplage to close - there is no chance to escape...
    `java.lang.Runnable` | `getCloseContinueOperation()` The workpage container may close pages either individually or within a bigger context (e.g. when closing all pages).
    `boolean` | `reactOnBeforeHiddenInContentArea()` Called before the page is hidden in the content are (e.g.
    `void` | `reactOnDestroyed()` This method is called when the workpage is closed and resources are freed.
    `void` | `reactOnHiddenInContentArea()` The page is hidden in the content area of the workplace.
    `void` | `reactOnReselectedInContentArea()` The page already was shown in content area, but the user re-selected the page (e.g. by pressing a second time onto the workpage-selector.
    `void` | `reactOnShownInContentArea()` The page is (re)shown in the content area of the workplace.
    `void` | `reactOnShownInPopup()` The page is (re)shown in a modeless popup.
    `void` | `setCloseContinueOperation(java.lang.Runnable closeContinueOperation)` Internal use only!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkpageDefaultLifecycleListener

          public WorkpageDefaultLifecycleListener()

  - ### Method Detail

    - #### getCloseContinueOperation

          public java.lang.Runnable getCloseContinueOperation()

      The workpage container may close pages either individually or within a bigger context (e.g. when closing all pages). In case of closing pages in a "bigger context" then there is a continue-operation which needs to be called by these listeners that interrupt the close processing (i.e. these ones that return "false" as result of reacting on `close()`.
      Specified by:
        `getCloseContinueOperation` in interface `IWorkpageLifecycleListener`

    - #### setCloseContinueOperation

          public void setCloseContinueOperation(java.lang.Runnable closeContinueOperation)

      Internal use only! Do not call from application logic!
      Specified by:
        `setCloseContinueOperation` in interface `IWorkpageLifecycleListener`

    - #### close

          public boolean close()

      When overriding: please check the continue-operation that is available via `getCloseContinueOperation()` in case of interrupting the close process.
      Specified by:
        `close` in interface `IWorkpageLifecycleListener`
      Returns:
        true => workplace will close page; false => workplace will not close the page.

    - #### closeForced

          public void closeForced()

      Description copied from interface: `IWorkpageLifecycleListener`
      This method forces the workplage to close - there is no chance to escape...
      Specified by:
        `closeForced` in interface `IWorkpageLifecycleListener`

    - #### reactOnShownInContentArea

          public void reactOnShownInContentArea()

      Description copied from interface: `IWorkpageLifecycleListener`
      The page is (re)shown in the content area of the workplace.
      Specified by:
        `reactOnShownInContentArea` in interface `IWorkpageLifecycleListener`

    - #### reactOnReselectedInContentArea

          public void reactOnReselectedInContentArea()

      Description copied from interface: `IWorkpageLifecycleListener`
      The page already was shown in content area, but the user re-selected the page (e.g. by pressing a second time onto the workpage-selector.
      Specified by:
        `reactOnReselectedInContentArea` in interface `IWorkpageLifecycleListener`

    - #### reactOnHiddenInContentArea

          public void reactOnHiddenInContentArea()

      Description copied from interface: `IWorkpageLifecycleListener`
      The page is hidden in the content area of the workplace.
      Specified by:
        `reactOnHiddenInContentArea` in interface `IWorkpageLifecycleListener`

    - #### reactOnBeforeHiddenInContentArea

          public boolean reactOnBeforeHiddenInContentArea()

      Description copied from interface: `IWorkpageLifecycleListener`
      Called before the page is hidden in the content are (e.g. due to selector operations performed by the user).
      Specified by:
        `reactOnBeforeHiddenInContentArea` in interface `IWorkpageLifecycleListener`
      Returns:
        true => yes, perform hiding
        false => block hiding

    - #### reactOnShownInPopup

          public void reactOnShownInPopup()

      Description copied from interface: `IWorkpageLifecycleListener`
      The page is (re)shown in a modeless popup.
      Specified by:
        `reactOnShownInPopup` in interface `IWorkpageLifecycleListener`

    - #### reactOnDestroyed

          public void reactOnDestroyed()

      Description copied from interface: `IWorkpageLifecycleListener`
      This method is called when the workpage is closed and resources are freed.
      Specified by:
        `reactOnDestroyed` in interface `IWorkpageLifecycleListener`

Copyright © CaptainCasa Gmbh. All Rights Reserved.